function res = sigmoide(x,a)
%
% Función de activación sigmoide (logistica)
%
% res = sigmoide(x,a)
% 
% x:    Valores a evaluar en la sigmoide: 1/( 1+exp(-a*x) )
% a:    Peso de la sigmoide.
%
% res:  Valor de la sigmoide para cada uno de los valores de x.

% APRENDIZAJE AUTOMÁTICO (Gonzalo Pajares y Jesús M. de la Cruz, Eds.)
% Editorial: RA-MA
% Capítulo 4: Redes Neuronales Artificiales
% Autores: José Antonio López Orozco


if (nargin==1),
   a=1;
end;


res = 1 ./ (1 + exp(-a*x));